Index: gap-4.15.0~beta1/Makefile.rules
===================================================================
--- gap-4.15.0~beta1.orig/Makefile.rules
+++ gap-4.15.0~beta1/Makefile.rules
@@ -678,6 +678,7 @@ install-sysinfo: SYSINFO_CPPFLAGS = -I${
 install-sysinfo: SYSINFO_LDFLAGS = $(ABI_CFLAGS)
 install-sysinfo: SYSINFO_GAP = $(bindir)/gap
 install-sysinfo: SYSINFO_GAC = $(bindir)/gac
+install-sysinfo: GAC_LDFLAGS := $(GAC_LDFLAGS) -lgap
 install-sysinfo: GMP_PREFIX =
 install-sysinfo: install-dirs
 	@echo "$$sysinfo_gap" > $(DESTDIR)$(libdir)/gap/sysinfo.gap
